# class SubsystemStatusTest |
Full name | `TelEngine::SubsystemStatusTest`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SubsystemStatusTest (u_int32_t interval)
- virtual ~SubsystemStatusTest ()
- bool startTest (SccpRemote* remoteSccp, SccpSubsystem* rSubsystem)
- inline SccpRemote* getRemote ()
- inline bool timeout ()
- inline SccpSubsystem* getSubsystem ()
- void restartTimer ()
- inline bool markAllowed ()
- inline void setAllowed (bool allowed)

## Detailed Description

inline SubsystemStatusTest (u_int32_t interval) | ### SubsystemStatusTest

Constructor

Parameters:

interval | The time interval in milliseconds representing the test duration

~SubsystemStatusTest () | ### ~SubsystemStatusTest

[virtual]

Destructor

bool startTest (SccpRemote* remoteSccp, SccpSubsystem* rSubsystem) | ### startTest

Start this subsystem status test

Parameters:

remoteSccp | The remote sccp where the subsystem is located
rSubsystem | The remote subsystem for witch the test is performed

Returns: True if the test has successfully started

inline SccpRemote* getRemote () | ### getRemote

Obtain the remote SCCP of this status test

Returns: Remote Sccp

inline bool timeout () | ### timeout

Helper method to check for timeouts

Returns: True if timed out

inline SccpSubsystem* getSubsystem () | ### getSubsystem

Get the subsystem who caused this test

Returns: The subsystem for who this test was initiated

void restartTimer () | ### restartTimer

Restart subsystem status test with exponential backoff

inline bool markAllowed () | ### markAllowed

Helper method used to find if we should mark the remote subsystem as allowed at the end of the test

inline void setAllowed (bool allowed) | ### setAllowed

Mark the tested subsystem as allowed at the end of the test

Parameters:

allowed | True to set the subsystem allowed at the end of the test

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.